memory layer attribute fields are combined when a memory layer or columns in a memory layer are
deleted
Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 14907
Description

| guess this is a problem with the "Memory layer" data provider, but | could be wrong.

1) When | use the "Profile from Line" plugin it creates a memory layer called "temporary points". If | then run the plugin again (possibly
selecting a different raster to sample), it creates another memory layer called "temporary points". Everything is fine at this stage, however
if | delete one of the layers and then open the attribute table of the other layer, it looks like attribute tables of the two layers have been
combined (there are twice as many columns).

2) Similarly, if | use the "delete column" tool on a memory layer, when | reopen the attribute table it has combined the old set of columns
with the new set of columns, so all of the columns except the ones | deleted appear twice!

History

#1 - 2012-07-20 02:43 AM - Regis Haubourg

| tried to reproduce with new memory layers from "new memory layer plugin” and | could not reproduce. Could this be a Profile From Line plugin bug?

#2 - 2012-07-20 04:32 AM - Alister Hood
- Operating System set to All

| tried to reproduce with new memory layers from "new memory layer plugin" and | could not reproduce

Ah, yes. | don't seem to be able to reproduce either issue with layers from the "new memory layer" plugin either.

Could this be a Profile From Line plugin bug?

Maybe; | can't say | understand anything about how all this works.
If that is the case it would seem strange to me though. | would have thought if you create a memory layer you create a memory layer. What could the
"Profile From Line" plugin be doing wrong? What does it do differently from the "New Memory Layer" plugin?

#3 - 2012-07-21 04:01 AM - Regis Haubourg

Maybe it does not identify correctly layers (not using id but name for example.. )
#4 - 2012-07-21 08:22 AM - Alister Hood

But the issues occur when using built-in features of QGIS, not when using the plugin.

#5 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#6 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-12-08 08:41 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I think we can close this bug. The new memory layer has been implemented in QGIS core (the old memory layer has been dropped, as far as | know).

Do you still have problems with the Profile plugin ?

#8 - 2015-12-13 10:29 PM - Alister Hood
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Yes, | can't find a recent copy of the profile from line plugin so | guess we'd better close it because we can't test anymore.
